WordPress 5.5新增自動更新可能帶來影響


WordPress中提供可以自動更新插件和主題的新功能將在WordPress 5.5版本中提供,該版本計劃於2020年8月11日發布。

在這個全球最受歡迎的內容管理系統的核心版本中,網站所有者將擁有選項可直接從WordPress管理信息中心直接打開各個插件和主題的自動更新。

最近,很多WordPress插件出現安全漏洞,對於很多WordPress網站來說,如果不能即時更新有問題的主題或者插件,都會有導致網站淪陷,影響很大,所以如果WordPress能自動更新WordPress主題和插件,將是非常有益的事情,而WordPress5.5可能會包含插件和主題自動更新功能。

 

WordPress5.5自動更新是需要事先選定

默認情況下,插件和主題的自動更新功能在發佈時將被關閉,這意味著在推出WordPress 5.5時不會自動啟用自動更新。網站所有者將必須訪問WP控制台的主題或插件以逐項啟用自動更新,並選擇在可用新版本的插件或主題時自動更新的軟件包。
網站所有者可以選擇為所有已安裝的插件打開自動更新,選擇為他們的某些插件自動更新,或者選擇不為任何插件打開自動更新。

WordPress 5.5中的自動更新將只有關閉或打開切換。網站所有者將無法選擇不同類型的更新,例如僅應用安全更新或僅更新至次要版本。

每天兩次由wp-cron觸發更新。如果該過程發現有可用更新的插件或主題,無論是次要安全修復程序還是大規模功能更新,都會下載新版本的插件或主題並將其自動安裝在站點上。但是僅為該特定插件或主題打開自動更新時,才會進行更新。

這些自動更新被運維工程師稱為“無人值守更新”,這意味著無需站點所有者的參與即可更新和部署插件和主題的代碼。它們可能在網站所有者正在網站發佈時被觸發,當網站所有者處於睡眠狀態時或在網站所有者處於重要會議中間的白天可能會在一夜之間被觸發。網站所有者將收到一封電子郵件,說明已進行了更新,但是如果他們錯過了該電子郵件,則可能只有在再次登錄並看到更新後的插件或主題的新版本時才能知道。

這標誌著與WordPress當前所需的人為更新相比有了重大轉變。當前,每次插件和主題更新都要求網站所有者或管理員啟動更新過程,以下載並安裝插件或主題的新版本。在極少數情況下,某些插件內置了自動更新,並且已經自動更新。

目前,該功能已經作為功能插件提供測試,大家可以下載WordPressAuto-updates進行測試和反饋。請不要用於正式網站,畢竟還只是測試版本。

動更新帶來影響

主版本發行版可能存在兼容性問題
部分外掛並沒法做好全面測試,有可能更新之後對於網站帶來不良影響(例如與其他外掛或版型有程式間的衝突,造成網站當機無法進入後台),或者作者並沒有做到全面性相容檢測(這可能有困難,因為眾多外掛都是不同人設計,要全面相容還是有技術上困難,需要靠使用者告知)
更新前準備工作:
1. 更新之前請確保網站有備份
2. 對於電子商務有串金流網頁,建議先至備用網站測試,沒問題再更新

 



文章參考來源:
https://www.wordfence.com/blog/2020/08/wordpress-auto-updates-what-do-you-have-to-lose/?utm_campaign=Wordfence%20Blog%20Emails&utm_medium=email&_hsmi=92776512&_hsenc=p2ANqtz-9d1L1-Kxn3sFl-eU7OmrAexYfSf-T9ohN1swHEAp1KtrPCrn_jIj6CR98cXIQt0rAH1oWL44dZ3pveF3Nor0EkxUTdpw&utm_content=92776512&utm_source=hs_email

WordPress相關

Comments are disabled.